package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.QueryParams;
import com.qmth.qrzk.repository.user.model.Book;

@Component("bookMapper")
public interface BookMapper extends CommonMapper{
	
	public List<Book> findBooks(List<Integer> ls);
	
	public List<Book> queryBooks(QueryParams params);
	
	public int queryBooksCount(QueryParams params);
	
	public Book queryById(int id);
}
